Loading...
Searching...
No Matches
pdu_pydoc_template.h File Reference
`#include "pydoc_macros.h"`
Include dependency graph for pdu_pydoc_template.h:

Go to the source code of this file.

## Macros

#define | D(...)

## Variables

static const char * | __doc_gr_metadata_keys_pdu_num = R"doc()doc"
static const char * | __doc_gr_metadata_keys_rx_time = R"doc()doc"
static const char * | __doc_gr_metadata_keys_sample_rate = R"doc()doc"
static const char * | __doc_gr_metadata_keys_sys_time = R"doc()doc"
static const char * | __doc_gr_metadata_keys_tx_eob = R"doc()doc"
static const char * | __doc_gr_metadata_keys_tx_time = R"doc()doc"
static const char * | __doc_gr_metadata_keys_tx_sob = R"doc()doc"
static const char * | __doc_gr_msgport_names_bpdu = R"doc()doc"
static const char * | __doc_gr_msgport_names_conf = R"doc()doc"
static const char * | __doc_gr_msgport_names_cpdu = R"doc()doc"
static const char * | __doc_gr_msgport_names_detects = R"doc()doc"
static const char * | __doc_gr_msgport_names_dict = R"doc()doc"
static const char * | __doc_gr_msgport_names_fpdu = R"doc()doc"
static const char * | __doc_gr_msgport_names_msg = R"doc()doc"
static const char * | __doc_gr_msgport_names_pdu = R"doc()doc"
static const char * | __doc_gr_msgport_names_pdus = R"doc()doc"
static const char * | __doc_gr_msgport_names_vec = R"doc()doc"
static const char * | __doc_gr_pdu_itemsize = R"doc()doc"
static const char * | __doc_gr_pdu_type_matches = R"doc()doc"
static const char * | __doc_gr_pdu_make_pdu_vector = R"doc()doc"
static const char * | __doc_gr_pdu_type_from_pmt = R"doc()doc"

## Macro Definition Documentation

## D

#define D | ( |  | ... | ) |

Value:
DOC(gr, __VA_ARGS__)
DOC
#define DOC(...)
Definition cmake-pkgsrc-build/gnuradio-runtime/python/gnuradio/gr/bindings/pydoc_macros.h:17
gr
GNU Radio logging wrapper.
Definition basic_block.h:29

## Variable Documentation

## __doc_gr_metadata_keys_pdu_num

const char* __doc_gr_metadata_keys_pdu_num = R"doc()doc"

static

## __doc_gr_metadata_keys_rx_time

const char* __doc_gr_metadata_keys_rx_time = R"doc()doc"

static

## __doc_gr_metadata_keys_sample_rate

const char* __doc_gr_metadata_keys_sample_rate = R"doc()doc"

static

## __doc_gr_metadata_keys_sys_time

const char* __doc_gr_metadata_keys_sys_time = R"doc()doc"

static

## __doc_gr_metadata_keys_tx_eob

const char* __doc_gr_metadata_keys_tx_eob = R"doc()doc"

static

## __doc_gr_metadata_keys_tx_sob

const char* __doc_gr_metadata_keys_tx_sob = R"doc()doc"

static

## __doc_gr_metadata_keys_tx_time

const char* __doc_gr_metadata_keys_tx_time = R"doc()doc"

static

## __doc_gr_msgport_names_bpdu

const char* __doc_gr_msgport_names_bpdu = R"doc()doc"

static

## __doc_gr_msgport_names_conf

const char* __doc_gr_msgport_names_conf = R"doc()doc"

static

## __doc_gr_msgport_names_cpdu

const char* __doc_gr_msgport_names_cpdu = R"doc()doc"

static

## __doc_gr_msgport_names_detects

const char* __doc_gr_msgport_names_detects = R"doc()doc"

static

## __doc_gr_msgport_names_dict

const char* __doc_gr_msgport_names_dict = R"doc()doc"

static

## __doc_gr_msgport_names_fpdu

const char* __doc_gr_msgport_names_fpdu = R"doc()doc"

static

## __doc_gr_msgport_names_msg

const char* __doc_gr_msgport_names_msg = R"doc()doc"

static

## __doc_gr_msgport_names_pdu

const char* __doc_gr_msgport_names_pdu = R"doc()doc"

static

## __doc_gr_msgport_names_pdus

const char* __doc_gr_msgport_names_pdus = R"doc()doc"

static

## __doc_gr_msgport_names_vec

const char* __doc_gr_msgport_names_vec = R"doc()doc"

static

## __doc_gr_pdu_itemsize

const char* __doc_gr_pdu_itemsize = R"doc()doc"

static

## __doc_gr_pdu_make_pdu_vector

const char* __doc_gr_pdu_make_pdu_vector = R"doc()doc"

static

## __doc_gr_pdu_type_from_pmt

const char* __doc_gr_pdu_type_from_pmt = R"doc()doc"

static

## __doc_gr_pdu_type_matches

const char* __doc_gr_pdu_type_matches = R"doc()doc"

static